Skip to main content
GET
List tax invoices

Editor interactivo de filter

Utiliza este editor para generar un valor que puedes usar en el parámetro filter del query string. Para relaciones, grupos lógicos y más ejemplos, consulta la guía de filtros.

Authorizations

Authorization
string
header
required

Organization API key using Authorization: Bearer sk_....

Query Parameters

filter
object

Filter fields encoded with qs bracket notation.

skip
number
default:0

Pagination offset.

Required range: x >= 0
Example:

0

take
number
default:20

Pagination limit.

Required range: 1 <= x <= 100
Example:

20

orderBy
object

Sort fields encoded with qs bracket notation.

Response

Tax invoices list

id
string
required

Unique identifier of the tax invoice.

Example:

"txi_1234567890abcdefghij"

createdAt
required

When the tax invoice was created.

updatedAt
required

When the tax invoice was last updated.

issueDate
required

Date when the tax invoice was issued.

Example:

null

invoiceId
string | null
required

Related invoice identifier, if any.

Example:

null

paymentId
string | null
required

Related payment identifier, if any.

Example:

null

uuid
string | null
required

SAT UUID assigned to the tax invoice.

Example:

null

verificationUrl
string | null
required

SAT verification URL.

Example:

null

folio
string | null
required

Tax invoice folio.

Example:

null

status
enum<string>
required

Current tax invoice status.

Available options:
VALID,
CANCELED,
PENDING,
DRAFT,
PENDING_CANCELLATION,
FAILED
Example:

"VALID"

failureReason
enum<string> | null
required

Normalized issuance failure reason, if any.

Available options:
UNKNOWN,
RFC_DOMICILE_MISMATCH,
RFC_LEGAL_NAME_MISMATCH,
CFDI_USAGE_MISMATCH,
ISSUE_DATE_OUT_OF_RANGE,
null
Example:

null

cancellationStatus
string | null
required

SAT cancellation status.

Example:

"none"

cancellationMotive
string | null
required

SAT cancellation motive code.

Example:

null

cancelRequestedAt
required

Date and time when cancellation was requested.

Example:

null

canceledAt
required

Date and time when cancellation completed.

Example:

null

canceledById
string | null
required

User that requested cancellation.

Example:

null

cancellationSubstitution
string | null
required

Substitution UUID used for cancellation motive 01.

Example:

null

satType
string | null
required

SAT invoice type code.

Example:

"I"

customerId
string
required

Customer identifier.

Example:

"cus_1234567890abcdefghij"

type
enum<string>
required

Quentli tax invoice type.

Available options:
TAX_RECEIPT,
TAX_INVOICE_PPD,
TAX_INVOICE_PUE
Example:

"TAX_INVOICE_PUE"

paymentForm
string | null
required

SAT payment form.

Example:

"03"

paymentMethod
string | null
required

SAT payment method.

Example:

"PUE"

usage
string | null
required

CFDI usage code.

Example:

"G03"

currency
string
required

ISO 4217 currency code.

Example:

"MXN"

totalAmount
number
required

Tax invoice total amount in minor units.

Example:

150000

organizationId
string
required

Owning organization identifier.

Example:

"org_1234567890abcdefghij"

exchangeRate
number | null

Exchange rate used for non-MXN invoices.

Example:

null

pdfId
string | null

PDF file identifier, if available.

Example:

null

xmlId
string | null

XML file identifier, if available.

Example:

null

createdByUserId
string | null

User who created this tax invoice.

Example:

null

createdByCustomerId
string | null

Customer who created this tax invoice.

Example:

null

substituteTaxInvoiceId
string | null

Tax invoice that substituted this one, if any.

Example:

null